package com.zheng.demo.mapper;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

import com.zheng.demo.data.Car;
import com.zheng.demo.data.CarDto;

@Mapper
public interface CarMapper {
	CarMapper INSTANCE = Mappers.getMapper(CarMapper.class);

	@Mapping(target = "numberOfSeats", source = "seatCount")
	Car carDtoToCar(CarDto carDto);

	@Mapping(target = "seatCount", source = "numberOfSeats")
	CarDto carToCarDto(Car car);
}
