package com.zheng.demo.data;

import org.zheng.demo.visitor.MVisitor;
import org.zheng.demo.visitor.Visitable;

import lombok.Data;

@Data
public class Food implements Visitable {

	protected float price;
	protected float taxRate;

	@Override
	public FoodDto accept(MVisitor visitor) {
		return visitor.visit(this);
	}
}
