package org.zheng.demo.visitor;

import com.zheng.demo.data.Food;
import com.zheng.demo.data.FoodDto;
import com.zheng.demo.data.Wine;
import com.zheng.demo.mapper.FoodMapper;
import com.zheng.demo.mapper.FoodMapperImpl;
import com.zheng.demo.mapper.WineMapper;
import com.zheng.demo.mapper.WineMapperImpl;

public class MapVisitor implements MVisitor {

	@Override
	public FoodDto visit(Food food) {
		FoodMapper foodMapper = new FoodMapperImpl();
		return foodMapper.map(food);
	}

	@Override
	public FoodDto visit(Wine wine) {
		WineMapper wineMapper = new WineMapperImpl();
		return wineMapper.map(wine);
	}

}
