package org.zheng.demo.visitor;

import static org.junit.jupiter.api.Assertions.assertTrue;

import org.junit.jupiter.api.Test;

import com.zheng.demo.data.Food;
import com.zheng.demo.data.FoodDto;
import com.zheng.demo.data.Wine;
import com.zheng.demo.data.WineDto;

class VisitorMapTest {

	MapVisitor map = new MapVisitor();

	@Test
	void test_map_via_visitor() {
		Food food = new Food();
		food.setPrice(100);

		FoodDto mapped = map.visit(food);
		assertTrue(mapped instanceof FoodDto);

		Wine wine = new Wine();
		wine.setPrice(100);

		FoodDto mapped2 = map.visit(wine);
		assertTrue(mapped2 instanceof WineDto);
	}

}
